if [ -x /usr/bin/update-desktop-database ]; then
 /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
 if [ -x /usr/bin/gtk-update-icon-cache ]; then
 /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
 fi
fi
( cd usr/share/icons/hicolor/32x32/apps ; rm -rf treesheets.png )
( cd usr/share/icons/hicolor/32x32/apps ; ln -sf /opt/treesheets/images/icon32.png treesheets.png )
( cd usr/share/icons/hicolor/16x16/apps ; rm -rf treesheets.png )
( cd usr/share/icons/hicolor/16x16/apps ; ln -sf /opt/treesheets/images/icon16.png treesheets.png )
